<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOwnerMaterialTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('owner_material', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('owner_id')->index()->comment('货主');
            $table->bigInteger('material_id')->index()->comment('耗材');
            $table->string('material_code',30)->comment('耗材编码');
            $table->string('size')->comment('尺寸');
            $table->string('special')->nullable()->comment('特殊要求');
            $table->text('specification')->nullable()->comment('材质规格');
            $table->bigInteger('initiator')->comment('创建者');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('owner_materials');
    }
}
